var nSplitterWidth;
var nMediaDuration;
var nTimeFormat;
var nPrgSliderRange;
var curMedianDur;
var bEQViewOpened = false;

function UpdateUI()
{
	if(plist.itemCount < 2)
	{
		btnPrev.enabled = false;
		btnNext.enabled = false;
	}
	else
	{
		btnPrev.enabled = true;
		btnNext.enabled = true;
	}
	if(plist.itemCount > 0)
	{
		btnPlay.enabled=true;
	}
	else
	{
		btnPlay.enabled=false;
	}	
}


function OnLeaveFullScreen()
{
	OnVolumeChanged();
}

function OnMouseWheel(delta)
{
	player.settings.volume = player.settings.volume + delta / 12;
}

function OnMax()
{
	mainview.maximize();
	btnMax.visible=false;
	btnRestore.visible=true;
}

function OnRestore()
{
	mainview.restore();
	btnMax.visible=true;
	btnRestore.visible=false;
}


function OnLButtonDblClk()
{
	if(mainview.IsWindowMaximized)
	{
		OnRestore();
	}
	else
	{
		OnMax();
	}
}

function OnLoad()
{
	var plhiden = theme.loadPreference('plhiden');
	if(plhiden == 'true')
	{
		hidePlayList();
	}
	var vwEQOpened = theme.loadPreference('vwEQOpened');
	if(vwEQOpened == 'true')
	{
		OpenEq();
	}
	
	UpdateUI();
	nPrgSliderRange = sliderprogress.range;
	OnPlayStatusChanged(player.playState);
	sliderprogress.currentPos = (player.controls.currentPos * nPrgSliderRange) / nMediaDuration;
}

function OnPlay()
{
	var playstate = player.playState;
	if(playstate == 5)	//pause
	{
		player.controls.play();
	}
	else
	{
		var item = plist.selectedItem;
		if(!item)
		{
			item = plist.next;
		}
		
		player.url = item;
	}
}

function OnProgressChange()
{
	if(nTimeFormat == 0)	//KT_FRAME
	{
		var curFrame = Math.round(sliderprogress.currentPos * nMediaDuration / nPrgSliderRange);
		sliderprogress.toolTip = curFrame.toString();
	}
	else
	{	
		var curTime = sliderprogress.currentPos * nMediaDuration / nPrgSliderRange / 1000;
		var timeString;
		curTime = Math.round(curTime);
		var hours = Math.round(curTime / 3600 - 0.5);		
		var mins = Math.round((curTime % 3600) / 60 - 0.5);
		var secs = Math.round((curTime % 3600) % 60 - 0.5);
		sliderprogress.toolTip = hours.toString() + ':' + mins.toString() + ':' + secs.toString();
	}	
}

function OnVolumeSliderChange()
{
	slidervoice.toolTip=slidervoice.currentPos.toString();
	player.settings.volume=slidervoice.currentPos;
	player.EqualizerSettings.boostVoice=100;
}

function OnAudioPluginSetup()
{
	//btnopeneq.enabled=true;
}

function OnItemDeleted()
{
	UpdateUI();
}

function OnItemAdded(index)
{
	UpdateUI();
}

function OnPlayingItemDeleted()
{
	player.controls.stop();
}

function OpenEq()
{
	if (bEQViewOpened) 
	{
		theme.closeView('eqview');
		theme.savePreference('vwEQOpened', 'false');
		btnopeneq.down = false;
		bEQViewOpened = false;
	}
	else 
	{
		if(view.IsWindowMaximized)
		{
			theme.openView('eqview');
		}
		else
		{
			theme.openViewRelative('eqview', 0, mainview.height);
		}

		theme.savePreference('vwEQOpened', 'true');
		btnopeneq.down = true;
		bEQViewOpened = true;
	}
}

function OnMuteChanged(){btnMute.down=player.settings.mute;}

function OnClose()
{
}

function Setplaymode()
{
	menu.show("playmode");
}

function SelectSkin()
{
	menu.show("skinlist");
}

function CloseKuree()
{
	mainview.close();
}

function playclick()
{
	btnPlay.visible=false;
}

function hidePlayList()
{
	nSplitterWidth = plpane.width;
	splitter.moveTo(playarea.width+2, 0, 0);
	HidePl.visible=false;
	ShowPl.visible=true;
	theme.savePreference('plhiden', 'true');
}

function showPlayList()
{
	var nPlittereft = playarea.width - nSplitterWidth - 3;
	splitter.moveTo(nPlittereft, 0, 0);
	HidePl.visible=true;
	ShowPl.visible=false;
	theme.savePreference('plhiden', 'false');
}

function OnCapture(savepath)
{
	if(savepath.length > 0)
	{
		savepath = '·:' + savepath;
		playstatus.flashText(savepath, 3000);
	}
	else
	{
		playstatus.flashText('ʧ', 3000);
	}
}

function printScreen()
{
	player.userPrintScreen(0);
}

function OnVideoChanged(width, height)
{
	if(!player.fullScreen && !mainview.isWindowMaximized)
	{
		mainview.width = mainview.width + (width - vid.width);
		mainview.height = mainview.height + (height - vid.height);
		btnFullScreen.enabled=true;
		btnprintscreen.enabled=true;
	}
}

function OnPlayStatusChanged(eStatus)
{
	switch(eStatus)
	{
		case 1:	//PS_Opened
		{
			sliderprogress.currentPos=0;
		}
		break;
		case 4:	//PS_Playing
		{
			var arr = player.url.split('\\');
			mainview.viewText = arr[arr.length - 1];
			title.text = "[ " + arr[arr.length - 1] + "/" + plist.itemCount + " ]";
			btnslowdown.enabled=true;
			btnspeedup.enabled=true;
			btnrestorespeed.enabled=true;
			btnStop.enabled=true; 
			if(player.hasVideo)
			{
				btnFullScreen.enabled=true;
				btnprintscreen.enabled=true;
			}
			else
			{
				btnFullScreen.enabled=false;
				btnprintscreen.enabled=false;
			}
						
			nMediaDuration = player.duration;	//currentMedia.
			nTimeFormat = player.timeFormat;
			if(nMediaDuration > 0)
			{
				sliderprogress.enabled=true;
			}			
			btnPlay.enabled=true;
			btnPlay.visible=false;
			btnPause.visible=true;
		}
		break;
		case 5:	//PS_Pause
		{
			btnslowdown.enabled=true;
			btnspeedup.enabled=true;
			btnrestorespeed.enabled=true;
			btnPlay.enabled=true;
			btnStop.enabled=true;
			btnPlay.visible=true;
			btnPause.visible=false;
			if(player.hasVideo)
			{
				btnFullScreen.enabled=true;
				btnprintscreen.enabled=true;
			}			
			sliderprogress.enabled=true;
			nMediaDuration = player.duration;	//currentMedia.
		}
		break;
		case 6:	//PS_Stopped
		{
			sliderprogress.currentPos=0;
			mainview.viewText = 'ӰII';
			title.text = "¼Լ::Ƶģʽ";
			btnPlay.visible=true;
			btnPause.visible=false;
			btnStop.enabled=false;
			btnPlay.enabled=false;
			sliderprogress.enabled=false;
			btnslowdown.enabled=false;
			btnspeedup.enabled=false;
			btnrestorespeed.enabled=false;
			btnFullScreen.enabled=false;
			btnprintscreen.enabled=false;
			UpdateUI();
		}
		break;
	}
}

function OnProgress(nPos, nDur)
{
	sliderprogress.currentPos = (nPos * nPrgSliderRange) / nDur;
}

function OpenMediaDlg()
{
	var newFile = theme.openDialog('DT_MEDIAFILE', '');
	if(newFile)
	{
		plist.deleteAll();
		var nCount = newFile.length;
		for(var i = 0; i < nCount; i++)
		{
			plist.addItem(newFile.item(i));
		}
		player.URL = newFile.item(0);
		newFile="";
	}
}

function OpenPlaylistDlg()
{
	newFile=theme.openDialog('DT_MEDIAFILE','');
	if(newFile)
	{
		var nCount = newFile.length;
		for(var i = 0; i < nCount; i++)
		{
			plist.addItem(newFile.item(i));
		}
	}		
}

function DeletItemFromList()
{
        plist.deleteSelected();
}

function OnProgressDragEnd(nPos)
{
	var nCurPos = nPos * nMediaDuration / nPrgSliderRange;
	player.controls.currentPos = nCurPos;
	sliderprogress.toolTip = 'Ž';
}

function OnVolumeChanged()
{
	slidervoice.currentPos=player.settings.volume;
	slidervoice.toolTip = slidervoice.currentPos.toString();
}

function OnError(errorInfo)
{
	sliderprogress.currentPos = 0;
}
function OpenUrl(strUrl)
{
	theme.launchURL(strUrl);

}

function OnTextChange1(adStr)
{
}

function plpheight()
{
	if(ScrollTextbk2.visible) 
	{
		return plpane.height-54;
	}
	else 
	{
		return plpane.height-54;
	}
}

function OnTextChange2(adStr)
{		
	playarea.relayoutControl();	
}
